#!/usr/bin/env bash

dub clean
rm -f create-schematic-gen-site
dub build --compiler=/opt/ldc2/ldc2-1.33.0-linux-x86_64/bin/ldc2 --build=release --force
echo "Stopping CSGS service."
ssh -f root@andrewlalis.com 'systemctl stop csgs'
echo "Uploading new binary."
scp create-schematic-gen-site root@andrewlalis.com:/opt/create-schematic-gen-site/
echo "Starting CSGS service."
ssh -f root@andrewlalis.com 'systemctl start csgs'
